# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
PYTHON_COMPAT=( python3_{11..13} )
DISTUTILS_USE_PEP517=hatchling
# DISTUTILS_EXT=1

inherit distutils-r1 pypi

DESCRIPTION="Easily add autocomplete dropdowns to your Textual apps"
HOMEPAGE="https://github.com/darrenburns/textual-autocomplete"

MY_PN="${PN//-/_}"
MY_PV="4.0.0a0"
SRC_URI="https://files.pythonhosted.org/packages/source/t/${PN}/${MY_PN}-${MY_PV}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
IUSE=""

DEPEND="
	dev-python/textual
	dev-python/typing-extensions 
"

S="${WORKDIR}/${MY_PN}-${MY_PV}"

